precision mediump float;

varying vec2 vTexCoord;

uniform sampler2D sTexture;
uniform sampler2D inputImageTexture2;

void main() {
  vec3 texel = texture2D(sTexture, vTexCoord).rgb;
  texel = min(texel * 1.14, vec3(1.0));

  vec3 color;
  color.r = texture2D(inputImageTexture2, vec2(texel.r, 0.5)).r;
  color.g = texture2D(inputImageTexture2, vec2(texel.g, 0.5)).g;
  color.b = texture2D(inputImageTexture2, vec2(texel.b, 0.5)).b;

  gl_FragColor = vec4(color, 1.0);
}
